org.eclipse.viatra.query.patternlanguage.emf.util

## Class BasePatternParser

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.BasePatternParser

- Direct Known Subclasses:
    AdvancedPatternParser, PatternParser

      public abstract class BasePatternParser
      extends java.lang.Object

  Base class for various pattern parser implementations.
  Since:
    2.1
  No Extend:
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SpecificationBuilder` | `builder`
    `protected org.eclipse.xtext.resource.FileExtensionProvider` | `extensionProvider`
    `protected java.lang.String` | `fileExtension`
    `protected java.util.Set<IQuerySpecification<?>>` | `librarySpecifications`
    `protected java.util.Set<org.eclipse.emf.common.util.URI>` | `libraryURIs`
    `protected org.eclipse.xtext.resource.IResourceDescription.Manager` | `manager`
    `protected org.eclipse.xtext.resource.IResourceFactory` | `resourceFactory`
    `protected org.eclipse.xtext.resource.XtextResourceSet` | `resourceSet`
    `static java.lang.String` | `SYNTHETIC_URI_PREFIX`
    `protected PatternSetValidator` | `validator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasePatternParser(java.util.Set<IQuerySpecification<?>> librarySpecifications, java.util.Set<org.eclipse.emf.common.util.URI> libraryURIs, java.util.Optional<java.lang.ClassLoader> classloader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createResourceSet(com.google.inject.Provider<org.eclipse.xtext.resource.XtextResourceSet> resourceSetProvider)`
    `void` | `enableReuseSpecificationBuilder(boolean reuseSpecificationBuilder)`
    `protected java.io.InputStream` | `getAsStream(java.lang.CharSequence text)`
    `protected SpecificationBuilder` | `getOrCreateSpecificationBuilder()`
    `protected org.eclipse.emf.ecore.resource.Resource` | `resource(java.io.InputStream in, org.eclipse.emf.common.util.URI uriToUse, java.util.Map<?,?> options, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNTHETIC_URI_PREFIX

          public static final java.lang.String SYNTHETIC_URI_PREFIX

      See Also:
        Constant Field Values

    - #### manager

          @Inject
          protected org.eclipse.xtext.resource.IResourceDescription.Manager manager

    - #### resourceFactory

          @Inject
          protected org.eclipse.xtext.resource.IResourceFactory resourceFactory

    - #### extensionProvider

          @Inject
          protected org.eclipse.xtext.resource.FileExtensionProvider extensionProvider

    - #### validator

          @Inject
          protected PatternSetValidator validator

    - #### fileExtension

          protected java.lang.String fileExtension

    - #### builder

          protected SpecificationBuilder builder

    - #### resourceSet

          protected org.eclipse.xtext.resource.XtextResourceSet resourceSet

    - #### libraryURIs

          protected final java.util.Set<org.eclipse.emf.common.util.URI> libraryURIs

    - #### librarySpecifications

          protected final java.util.Set<IQuerySpecification<?>> librarySpecifications

  - ### Constructor Detail

    - #### BasePatternParser

          protected BasePatternParser(java.util.Set<IQuerySpecification<?>> librarySpecifications,
                                      java.util.Set<org.eclipse.emf.common.util.URI> libraryURIs,
                                      java.util.Optional<java.lang.ClassLoader> classloader)

      Since:
        2.4

  - ### Method Detail

    - #### getOrCreateSpecificationBuilder

          protected SpecificationBuilder getOrCreateSpecificationBuilder()

    - #### getAsStream

          protected java.io.InputStream getAsStream(java.lang.CharSequence text)

    - #### resource

          protected org.eclipse.emf.ecore.resource.Resource resource(java.io.InputStream in,
                                                                     org.eclipse.emf.common.util.URI uriToUse,
                                                                     java.util.Map<?,?> options,
                                                                     org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

    - #### enableReuseSpecificationBuilder

          @Inject
          public void enableReuseSpecificationBuilder(boolean reuseSpecificationBuilder)

    - #### createResourceSet

          @Inject
          public void createResourceSet(com.google.inject.Provider<org.eclipse.xtext.resource.XtextResourceSet> resourceSetProvider)